Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractRowsRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractRowsRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  AbstractDefinitionListRenderer, AbstractGridRenderer, AbstractListRenderer, AbstractTableRenderer, ColgroupRenderer, OrderingComponentRendererBase

    public abstract class AbstractRowsRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase
implements org.ajax4jsf.model.DataVisitor

Author:
  shura

Field Summary
`static java.lang.Object` | `CELL_CLASS_KEY`
`static java.lang.Object` | `ROW_CLASS_KEY`
`static java.lang.Object` | `SKIN_CELL_CLASS_KEY`
`static java.lang.Object` | `SKIN_FIRST_ROW_CLASS_KEY`
`static java.lang.Object` | `SKIN_ROW_CLASS_KEY`
`static java.lang.String[][]` | `TABLE_EVENT_ATTRS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AbstractRowsRenderer()`

Method Summary
`protected void` | `doCleanup(javax.faces.context.FacesContext context, TableHolder tableHolder)`
`void` | `encodeCaption(javax.faces.context.FacesContext context, org.ajax4jsf.component.SequenceDataAdaptor table)`
`protected void` | `encodeCellChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent cell, java.lang.String skinFirstRowClass, java.lang.String skinRowClass, java.lang.String rowClass, java.lang.String skinCellClass, java.lang.String cellClass)` Render component and all its children with current row/cell style classes.
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`abstract void` | `encodeOneRow(javax.faces.context.FacesContext context, TableHolder holder)`
`protected void` | `encodeRowEvents(javax.faces.context.FacesContext context, org.ajax4jsf.component.UIDataAdaptor table)`
`void` | `encodeRows(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeRows(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, TableHolder tableHolder)` Iterate over all rows for this table.
`protected void` | `encodeStyle(javax.faces.context.ResponseWriter writer, java.lang.Object parentPredefined, java.lang.Object predefined, java.lang.Object parent, java.lang.Object custom)`
`protected void` | `encodeStyleClass(javax.faces.context.ResponseWriter writer, java.lang.Object parentPredefined, java.lang.Object predefined, java.lang.Object parent, java.lang.Object custom)` Encode HTML "class" attribute, if is not empty.
`protected void` | `encodeTableHeaderFacet(javax.faces.context.FacesContext context, int columns, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent footer, java.lang.String skinFirstRowClass, java.lang.String skinRowClass, java.lang.String skinCellClass, java.lang.String footerClass, java.lang.String element)`
`boolean` | `getRendersChildren()`
`void` | `process(javax.faces.context.FacesContext context, java.lang.Object rowKey, java.lang.Object argument)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TABLE_EVENT_ATTRS

    public static final java.lang.String[][] TABLE_EVENT_ATTRS

### ROW_CLASS_KEY

    public static final java.lang.Object ROW_CLASS_KEY

### SKIN_ROW_CLASS_KEY

    public static final java.lang.Object SKIN_ROW_CLASS_KEY

### CELL_CLASS_KEY

    public static final java.lang.Object CELL_CLASS_KEY

### SKIN_CELL_CLASS_KEY

    public static final java.lang.Object SKIN_CELL_CLASS_KEY

### SKIN_FIRST_ROW_CLASS_KEY

    public static final java.lang.Object SKIN_FIRST_ROW_CLASS_KEY

Constructor Detail

### AbstractRowsRenderer

    public AbstractRowsRenderer()

Method Detail

### process

    public void process(javax.faces.context.FacesContext context,
                        java.lang.Object rowKey,
                        java.lang.Object argument)
                 throws java.io.IOException

  Specified by:
    `process` in interface `org.ajax4jsf.model.DataVisitor`
  Throws:
    `java.io.IOException`

### encodeRows

    public void encodeRows(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeRows

    protected void encodeRows(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              TableHolder tableHolder)
                       throws java.io.IOException

  Iterate over all rows for this table.

  Parameters:
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### doCleanup

    protected void doCleanup(javax.faces.context.FacesContext context,
                             TableHolder tableHolder)
                      throws java.io.IOException

  Parameters:
    `context` - TODO
    `tableHolder` -
  Throws:
    `java.io.IOException`

### encodeOneRow

    public abstract void encodeOneRow(javax.faces.context.FacesContext context,
                                      TableHolder holder)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### encodeCaption

    public void encodeCaption(javax.faces.context.FacesContext context,
                              org.ajax4jsf.component.SequenceDataAdaptor table)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeRowEvents

    protected void encodeRowEvents(javax.faces.context.FacesContext context,
                                   org.ajax4jsf.component.UIDataAdaptor table)
                            throws java.io.IOException

  Parameters:
    `context` -
    `table` -
  Throws:
    `java.io.IOException`

### encodeStyleClass

    protected void encodeStyleClass(javax.faces.context.ResponseWriter writer,
                                    java.lang.Object parentPredefined,
                                    java.lang.Object predefined,
                                    java.lang.Object parent,
                                    java.lang.Object custom)
                             throws java.io.IOException

  Encode HTML "class" attribute, if is not empty. Classes combined from pre-defined skin classes, class from parent component, and custom attribute.

  Parameters:
    `writer` -
    `parentPredefined` - TODO
    `predefined` - predefined skin classes
    `parent` - class from parent component
    `custom` - custom classes.
  Throws:
    `java.io.IOException`

### encodeStyle

    protected void encodeStyle(javax.faces.context.ResponseWriter writer,
                               java.lang.Object parentPredefined,
                               java.lang.Object predefined,
                               java.lang.Object parent,
                               java.lang.Object custom)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeCellChildren

    protected void encodeCellChildren(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent cell,
                                      java.lang.String skinFirstRowClass,
                                      java.lang.String skinRowClass,
                                      java.lang.String rowClass,
                                      java.lang.String skinCellClass,
                                      java.lang.String cellClass)
                               throws java.io.IOException

  Render component and all its children with current row/cell style classes.

  Parameters:
    `context` -
    `cell` -
    `skinFirstRowClass` - TODO
    `skinRowClass` - TODO
    `rowClass` -
    `skinCellClass` - TODO
    `cellClass` -
  Throws:
    `java.io.IOException`

### encodeTableHeaderFacet

    protected void encodeTableHeaderFacet(javax.faces.context.FacesContext context,
                                          int columns,
                                          javax.faces.context.ResponseWriter writer,
                                          javax.faces.component.UIComponent footer,
                                          java.lang.String skinFirstRowClass,
                                          java.lang.String skinRowClass,
                                          java.lang.String skinCellClass,
                                          java.lang.String footerClass,
                                          java.lang.String element)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.